// Выход из таблицы "Передача в банк ...   КБМ"
//              создание OtpPlaPorr.tmp   при выходе из табл
// Вставить в "Конец закрытия таблицы"   
//       UnloadScriptModule("user\\OtPlaOut");LoadScriptModule("user\\OtPlaOut");return Dial_2(__AdrTable);

Dial_2(__AdrTable)      
{
     var SprTabl = CreateObject("CurPrnTbl");              // промежуточная таблица
     //SprTabl.InitialNameFile("TABLBANK\\OtpBudPer.tmp");     // для передачи информации
     SprTabl.InitialNameFile("TABLBANK\\OtpPlaPor.tmp");
     SprTabl.Clear();                    // очистка таблицы     

     int CurRcr = SprTabl.Count_Rcr()-1;                   // устанвливаем счетчик
     
     var CTabl = CreateObject("CurPrnTbl");   //  текущая таблица
     CTabl.Initial(__AdrTable);               //



     for ( int LRcr=0; LRcr<CTabl.Count_Rcr(); LRcr++ )
       {         
         //string mr = CTabl.TextS("marka",LRcr);       FreeSpaceString(mr,3,"");
         string or = CTabl.TextS("Order",LRcr);
         string tn = CTabl.TextS("C_FIO",LRcr);       
         double sm = atof(CTabl.TextS("CASHSUM",LRcr));
         string dp = CTabl.TextS("DataPlat",LRcr);

         int nl = sm * .13;
         round2(nl,0,0,nl);
         sm = sm - nl;
         //string mrrab = mr + "_" + lt;

         SprTabl.Add_Rcr(CurRcr,1);
         //SprTabl.STextS("markarab",CurRcr, static_cast_to_string(mrrab));
         SprTabl.STextS("Order",CurRcr, static_cast_to_string(or));
         SprTabl.STextS("C_FIO",CurRcr, static_cast_to_string(tn));
         SprTabl.STextS("Sum",CurRcr, static_cast_to_string(sm));
         SprTabl.STextS("Nal",CurRcr, static_cast_to_string(nl));
         SprTabl.STextS("DataPlat",CurRcr, static_cast_to_string(dp));
         CurRcr++;
       }                                                  

     SprTabl.Rewrite();

}
